Bug 981266 - New terminal created with Ctrl-Shift-N does not start in same directory.
New terminal created with Ctrl-Shift-N does not start in same directory.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 06:42 EDT by David Woodhouse
Modified: 2015-02-17 10:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:50:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2013-07-04 06:42:19 EDT
I've grown very used to the behaviour of gnome-shell where it will start a new terminal in the same working directory as the one that you hit Ctrl-Shift-N in.

Since upgrading to Fedora 19 a month or two ago, it stopped working. I thought it was just another feature that had been taken away because GNOME people hate me and want me to be sad, but the feature seems to still work on *another* machine which I have similarly upgraded. So maybe there's some configuration option, or there's supposed to be something in my bash prompt-command, or something else is missing?

I don't know where to look. This was working on both machines in F18. The only real difference I can think of is that the broken one was upgraded to F19 a lot earlier in the beta cycle than the working one.
Comment 1 David Woodhouse 2013-07-04 10:57:56 EDT
The __vte_osc7() function appears to be present in my environment and invoked correctly from __vte_prompt_command. And even if I invoke it manually, it doesn't seem to work.
Comment 2 Fedora End Of Life 2015-01-09 13:39:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Trevor Cordes 2015-01-10 05:19:00 EST
I can confirm this bug ("feature regression"?) is still present in F21 so you can update it against F21 so it doesn't die a F19 EOL death.
Comment 4 Trevor Cordes 2015-01-10 05:32:08 EST
Same bug as bug 985050?  See my comments there.  Perhaps close this bug in favor of the more detailed 985050
Comment 5 Fedora End Of Life 2015-02-17 10:50:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.